petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPPIPEFCGGetTruncationType

get the truncation strategy employed by PIPEFCG

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEFCGGetTruncationType(KSP ksp,KSPFCDTruncationType *truncstrat)

Not Collective

### Input Parameter

ksp -the Krylov space context

### Output Parameter

truncstrat -the strategy type

### Options Database

-ksp_pipefcg_truncation_type <standard,notay> -which stored basis vectors to orthogonalize against

### Keywords

KSP, PIPEFCG, truncation

### See Also

KSPPIPEFCG, KSPPIPEFCGSetTruncationType, KSPFCDTruncationType

### Level

intermediate

### Location

src/ksp/ksp/impls/fcg/pipefcg/pipefcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages